[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#295476: add support for disabling auto-eject



Package: cdrom-detect
Version: svn 20050215
Severity: wishlist
Tags: patch

Many systems have optical media drives that do not support automatic
insertion of media. For example slim-line, slot loading, and caddy
style drives do not support this. This makes doing remote (or
automated) optical media installs on these systems not possible,
since you would need to be physically present to reinsert the install
media.

Below is a patch that adds a debconf variable to disable auto-eject and
an addition to the manual to explain it. In addition to the reason
mentioned above, there may be other reasons why you'd want to disable
auto-eject and this generic method would cover those as well.

Thanks,

Matt Taggart
taggart@debian.org


Index: packages/cdrom-detect/debian/cdrom-detect.templates
===================================================================
--- packages/cdrom-detect/debian/cdrom-detect.templates	(revision 25681)
+++ packages/cdrom-detect/debian/cdrom-detect.templates	(working copy)
@@ -13,6 +13,11 @@
 Type: text
 _Description: Detecting hardware to find CD-ROM drives
 
+Template: cdrom-detect/eject
+Type: boolean
+Default: true
+Description: Eject CD-ROM when finished.
+
 Template: cdrom-detect/manual_config
 Type: boolean
 Default: true
Index: packages/cdrom-detect/prebaseconfig
===================================================================
--- packages/cdrom-detect/prebaseconfig	(revision 25681)
+++ packages/cdrom-detect/prebaseconfig	(working copy)
@@ -1,4 +1,5 @@
 #! /bin/sh -e
+. /usr/share/debconf/confmodule
 
 log() {
 	logger -t cdrom-detect "$@"
@@ -12,7 +13,12 @@
 	if [ -n "$CDDEV" ]; then
 		log "Unmounting and ejecting '$CDDEV'"
 		umount /cdrom || true
-		/target/usr/bin/eject $CDDEV || true
+		if db_get cdrom-detect/eject && [ "$RET" = false ]; then
+			log "Not ejecting CD, per debconf setting."
+		else
+			/target/usr/bin/eject $CDDEV || true
+		fi
+			
 	else
 		log "Not ejecting CD, as nothing is mounted."
 	fi
Index: installer/doc/manual/en/boot-installer/parameters.xml
===================================================================
--- installer/doc/manual/en/boot-installer/parameters.xml	(revision 25681)
+++ installer/doc/manual/en/boot-installer/parameters.xml	(working copy)
@@ -262,6 +262,27 @@
 </varlistentry>
 
 <varlistentry>
+<term>cdrom-detect/eject</term>
+<listitem><para>
+
+By default, before rebooting, the &d-i; automatically ejects the
+optical media used during the install. In some cases this may be
+undesirable, for example if the optical drive cannot reinsert the
+media itself and the user is not there to do it manually. Many slot
+loading, slim-line, and caddy style drives cannot reload media
+automatically.
+
+</para><para>
+
+Set to <userinput>false</userinput> to disable automatic ejection, and
+be aware that you may need to ensure that the system does not
+automatically boot from the optical drive after the initial
+installation.
+
+</para></listitem>
+</varlistentry>
+
+<varlistentry>
 <term>hw-detect/start_pcmcia</term>
 <listitem><para>
 



Reply to: